insert into jcl_org_cardbutton (name, status, url, sys_default, creator, delete_type, create_time, update_time) values ('ÈËÔ±¼òÀú', 1, '/spa/organization/static/index.html#/main/organization/personnelResume/${id}', 0, 1, 0, SYSDATE, SYSDATE);
/

CREATE TABLE JCL_ORG_SEARCH_TEMPLATE (
  ID NUMBER NOT NULL,
  NAME NVARCHAR2(255) NOT NULL,
  BASIC_FIELDS VARCHAR2(4000) NULL,
  PERSONAL_FIELDS VARCHAR2(4000) NULL,
  WORK_FIELDS VARCHAR2(4000) NULL,
  ISUSED NUMBER NULL,
  CREATOR NUMBER NULL,
  CREATE_TIME DATE NULL,
  UPDATE_TIME DATE NULL,
  CONSTRAINT JCL_ORG_SEARCH_TEMPLATE_PK PRIMARY KEY (ID)
);
/

CREATE SEQUENCE JCL_ORG_SEARCH_TEMPLATE_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
/

CREATE OR REPLACE TRIGGER JCL_ORG_SEARCH_ID_TIGGER BEFORE INSERT ON JCL_ORG_SEARCH_TEMPLATE FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_SEARCH_TEMPLATE_ID.nextval INTO :new.ID
FROM
    dual;
END;
/

CREATE TABLE JCL_ORG_CUSTOM_TEMPLATE (
  ID NUMBER NOT NULL,
  NAME NVARCHAR2(255) NOT NULL,
  BASIC_FIELDS VARCHAR2(4000) NULL,
  PERSONAL_FIELDS VARCHAR2(4000) NULL,
  WORK_FIELDS VARCHAR2(4000) NULL,
  ISUSED NUMBER NULL,
  CREATOR NUMBER NULL,
  CREATE_TIME DATE NULL,
  UPDATE_TIME DATE NULL,
  CONSTRAINT JCL_ORG_CUSTOM_TEMPLATE_PK PRIMARY KEY (ID)
);
/

CREATE SEQUENCE JCL_ORG_CUSTOM_TEMPLATE_ID INCREMENT BY 1 START WITH 1 nomaxvalue minvalue 1 NOCYCLE;
/

CREATE OR REPLACE TRIGGER JCL_ORG_CUSTOM_ID_TIGGER BEFORE INSERT ON JCL_ORG_CUSTOM_TEMPLATE FOR EACH ROW
BEGIN
SELECT
    JCL_ORG_CUSTOM_TEMPLATE_ID.nextval INTO :new.ID
FROM
    dual;
END;
/

ALTER TABLE JCL_ORG_CARDACCESS RENAME COLUMN TYPE_NAME TO TYPE_NAME_BAK;
/

ALTER TABLE JCL_ORG_CARDACCESS ADD TYPE_NAME VARCHAR2(1000);
/

UPDATE JCL_ORG_CARDACCESS SET TYPE_NAME = TYPE_NAME_BAK;
/

ALTER TABLE JCL_ORG_CARDACCESS DROP COLUMN TYPE_NAME_BAK;
/

UPDATE datashowset SET SQLTEXT ='select * from jcl_org_grade where delete_type = 0 and forbidden_tag = 0 ' WHERE SHOWNAME ='gradeBrowser';
/

update WORKFLOW_BROWSERURL set tablename ='JCL_ORG_JOB a inner join HrmJobTitles b on a.ec_jobTitle = b.id',columname ='jobtitlename',keycolumname ='a.id' where id = 666;
/